Skip to navigation

Retrieve a single phone number

View as Markdown

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
address_idstring or null
bundle_idstring or null
carrierenum or null
Allowed values:
carrier_typeenum or null
Allowed values:
countrystring or null
date_createddatetime
date_updateddatetime
idstring
is_premiumboolean
is_verifiedboolean
labelstring
last_billed_pricedouble or null
local_presence_enabledboolean
Whether Local Presence can pick this phone number by proximity for a call or SMS made as a user.
mms_enabledboolean
next_billing_ondatetime or null
non_member_caller_id_enabledboolean
Whether users who are not members of this phone number can use it as their outbound caller ID.
numberstring
number_formattedstring
organization_idstring
participant_groupslist of strings
IDs of the Groups assigned to this phone number. Members of these Groups ring on inbound calls and receive notifications for the number. See the Groups API.
sms_enabledboolean
supports_mms_to_countrieslist of strings
supports_sms_to_countrieslist of strings
typeenum
Allowed values:
voice_agent_caller_id_enabledboolean
Whether voice agents can use this phone number as their outbound caller ID.
is_group_numberbooleanDeprecated

This field is deprecated and will be removed in a future update. Until then, it is set to false when participants has exactly one user and the phone number doesn’t have any of the “shared” configuration set up (e.g. a phone menu, lead-based routing, a dial-out list, an assigned Group, a non-default ring order, etc.), and true otherwise.

user_idstring or nullDeprecated

This field is deprecated. See the participants and participant_groups fields instead to learn who’s assigned to this phone number. This user_id field will be removed in a future update. Until then, it is set to a specific user ID only if the given phone number has a single participant and no additional “shared” configuration (e.g. a phone menu, lead-based routing, a dial-out list, an assigned Group, a non-default ring order, etc.).

forward_tostring or nullOptional
forward_to_enabledbooleanOptional
forward_to_formattedstring or nullOptional
inbound_ring_durationinteger or nullOptional

Number of seconds we ring this number on inbound calls before moving on (e.g. to voicemail). null means the default of 30 seconds is used.

participantslist of stringsOptional

IDs of the users assigned directly to this phone number. Members of the Groups in participant_groups also ring on inbound calls and receive notifications for the number.

phone_numberslist of stringsOptional

Present unless participants has exactly one user and the phone number has no shared-number configuration (a phone menu, lead-based routing, a dial-out list, an assigned Group, or a non-default ring order).

phone_numbers_formattedlist of stringsOptional

Present under the same condition as phone_numbers, with each value formatted for display.

press_1_to_acceptbooleanOptional
voicemail_greeting_urlstring or nullOptional
was_portedbooleanOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error